# CEGUI::AlreadyExistsException Class Reference

Exception class used when an attempt is made to use an object name that is already in use within the system. More...

Inheritance diagram for CEGUI::AlreadyExistsException:

[legend]
Collaboration diagram for CEGUI::AlreadyExistsException:

[legend]
List of all members.

## Public Member Functions

| AlreadyExistsException (const String &message)

## Detailed Description

Exception class used when an attempt is made to use an object name that is already in use within the system.